import { Button } from "antd";
import SearchIcon from "components/Icons/SearchIcon";
import { useNavigate, useParams } from "react-router-dom";
import styles from "../menu.module.css";

export default function SearchButton() {
  const navigate = useNavigate();
  const { id } = useParams();
  
  return (
    <div className={styles.searchButtonContainer}>
      <Button
        className={styles.searchButton}
        icon={<SearchIcon />}
        onClick={() =>
          // router.push(`?orderType=${orderType}&search=true`)
          // setSelectedClientRoute("search")
          navigate(`/${id}/search`)
        }
      />
    </div>
  );
}
